GNU bug report logs - #19988
25.0.50; Drag events ending in different frame

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tassilo Horn <tsdh@HIDDEN>; dated Tue, 3 Mar 2015 14:32:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 7 Mar 2015 00:49:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 19:49:55 2015
Received: from localhost ([127.0.0.1]:37981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YU2wF-0000SP-0P
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 19:49:55 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:33310)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>)
 id 1YU2wC-0000SB-1s; Fri, 06 Mar 2015 19:49:53 -0500
Received: from alfajor.home (lechon.iro.umontreal.ca [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id t270nYNP020890;
 Fri, 6 Mar 2015 19:49:35 -0500
Received: by alfajor.home (Postfix, from userid 20848)
 id 1B7A064188; Fri,  6 Mar 2015 19:49:22 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
Message-ID: <jwvoao5fxb7.fsf-monnier+emacsbugs@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <54F72082.8080709@HIDDEN>
 <87a8zs4g9c.fsf@HIDDEN> <54F80E72.3040609@HIDDEN>
 <jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN> <54F9F836.7010103@HIDDEN>
 <jwv61adhoeg.fsf-monnier+emacsbugs@HIDDEN> <54FA1C9E.9040806@HIDDEN>
Date: Fri, 06 Mar 2015 19:49:22 -0500
In-Reply-To: <54FA1C9E.9040806@HIDDEN> (martin rudalics's message of "Fri, 06
 Mar 2015 22:31:10 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5237=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5237> : inlines <2381> : streams
 <1401171> : uri <1873243>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> We'd still have to resolve the case where one Emacs frame obscures
> another.

If one of the two is the top window (i.e. the one that's actually
visible), then we should use that one, and we should be able to figure
it out at the C level (i.e. it should be the one that is in the event
structure).

If not, then it doesn't really matter if we "get it right" or not.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 21:31:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 16:31:34 2015
Received: from localhost ([127.0.0.1]:37893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTzqH-0002fK-I3
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 16:31:33 -0500
Received: from mout.gmx.net ([212.227.17.22]:51974)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTzqF-0002f3-K8
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 16:31:32 -0500
Received: from [178.189.203.89] ([178.189.203.89]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0MUCTO-1Y39a01u6M-00R3Q5;
 Fri, 06 Mar 2015 22:31:18 +0100
Message-ID: <54FA1C9E.9040806@HIDDEN>
Date: Fri, 06 Mar 2015 22:31:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
 <54F72082.8080709@HIDDEN>	<87a8zs4g9c.fsf@HIDDEN>
 <54F80E72.3040609@HIDDEN>	<jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN>
 <54F9F836.7010103@HIDDEN> <jwv61adhoeg.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwv61adhoeg.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:kpJ5VMvsbGEu3SyuuS1BXp+kF1ZX6nlycksAtB+uafTB1ZpT5LI
 j3t4VWTBS4oHxwQNYuMvnuOeBxJ3tLoAaVwWjn0lBebvEJlok3AzN/p+d6TDu5soSzPWVJf
 jKh6WiiINUoCKAQYB6n4NaARgZ7ZTClBcq4VfkZfcpmoXHLYezpnLsQQWZhZuOFXOoXsEzk
 vkT5OpHP9rEiuG4ggGn0A==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >> The top window is usually the one where the drag started.
 >
 > Usually but not always.

And the window where the drag stops is no always the top window either.

 > If the top-window at the location of the end-drag is not an Emacs frame,
 > then any Emacs frame is as good as any other, I think.

We'd still have to resolve the case where one Emacs frame obscures
another.  So I see no way to resolve this issue consistently without
knowing the Z order of our frames.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 20:19:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 15:19:51 2015
Received: from localhost ([127.0.0.1]:37868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTyis-0000sW-Ky
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 15:19:50 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:59288)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YTyip-0000sO-UR
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 15:19:48 -0500
Received: from alfajor.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id t26KJivd023456;
 Fri, 6 Mar 2015 15:19:45 -0500
Received: by alfajor.home (Postfix, from userid 20848)
 id 2527464188; Fri,  6 Mar 2015 15:19:43 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
Message-ID: <jwv61adhoeg.fsf-monnier+emacsbugs@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <54F72082.8080709@HIDDEN>
 <87a8zs4g9c.fsf@HIDDEN> <54F80E72.3040609@HIDDEN>
 <jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN> <54F9F836.7010103@HIDDEN>
Date: Fri, 06 Mar 2015 15:19:40 -0500
In-Reply-To: <54F9F836.7010103@HIDDEN> (martin rudalics's message of "Fri, 06
 Mar 2015 19:55:50 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5237=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5237> : inlines <2379> : streams
 <1401067> : uri <1873062>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> The drag event should return the one that's on top.
> The top window is usually the one where the drag started.

Usually but not always.

> We need the Emacs window not obscured by _any_ other window at the
> location of the mouse cursor.  How do we find that window?

If the top-window at the location of the end-drag is not an Emacs frame,
then any Emacs frame is as good as any other, I think.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 18:56:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 13:56:12 2015
Received: from localhost ([127.0.0.1]:37813 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTxPw-0007CF-GY
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:56:12 -0500
Received: from mout.gmx.net ([212.227.17.22]:51011)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTxPv-0007C1-7c
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:56:11 -0500
Received: from [178.191.142.164] ([178.191.142.164]) by mail.gmx.com
 (mrgmx103) with ESMTPSA (Nemesis) id 0M85r3-1XYGS618mP-00vgsE; Fri, 06 Mar
 2015 19:55:59 +0100
Message-ID: <54F9F836.7010103@HIDDEN>
Date: Fri, 06 Mar 2015 19:55:50 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
 <54F72082.8080709@HIDDEN>	<87a8zs4g9c.fsf@HIDDEN> <54F80E72.3040609@HIDDEN>
 <jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:HjNrjc8PcMGkgwV6A6AsnAzHtew8vDl/mRva0Ac6YO1/LIqErfb
 xuVxZeBOnOpQ+PpV99EPXbg2U7dL6mNdKLZTckuGCzjs/8njNg/wPc2x5VruH7rV8ndGriv
 Q1uE6qr4OVDIw4aBp9uTc3Bkp0dUiNOeJuoQXdKYR4AysnFAxgGS4ROdweYfnydmmQLS6gr
 LP72q4YKsn4U+hO4+TI+A==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The drag event should return the one that's on top.

The top window is usually the one where the drag started.  We need the
Emacs window not obscured by _any_ other window at the location of the
mouse cursor.  How do we find that window?

 > Then you can
 > compute the corresponding location in the lower window if it wants to
 > using the kind of code you suggested (because it knows it wants that
 > specific window, not for its stacking order but for other reasons).

Any code trying to detect the target window has to do the same
computation.  Mine was only an attempt to do that manually within
Tassilo's original proposal.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 18:55:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 13:55:45 2015
Received: from localhost ([127.0.0.1]:37808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTxPU-0007B1-Tc
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:55:45 -0500
Received: from mout.gmx.net ([212.227.17.21]:65101)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTxPS-0007Al-Az
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:55:42 -0500
Received: from [178.191.142.164] ([178.191.142.164]) by mail.gmx.com
 (mrgmx101) with ESMTPSA (Nemesis) id 0MT74k-1Y571E2M4c-00S84o; Fri, 06 Mar
 2015 19:55:34 +0100
Message-ID: <54F9F81D.9030006@HIDDEN>
Date: Fri, 06 Mar 2015 19:55:25 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Drew Adams <drew.adams@HIDDEN>, Tassilo Horn <tsdh@HIDDEN>, 
 Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
 <83r3t5q11o.fsf@HIDDEN>	<jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
 <87mw3tfdn8.fsf@HIDDEN>	<83mw3sptht.fsf@HIDDEN>
 <87egp44gh5.fsf@HIDDEN>	<8361agp10p.fsf@HIDDEN>	<87oao79ain.fsf@HIDDEN>
 <83twxznzrq.fsf@HIDDEN>	<874mpzi4xe.fsf@HIDDEN>	<83r3t3nqu5.fsf@HIDDEN>
 <87385ilhv5.fsf@HIDDEN> <206aa568-cbe2-4d06-be45-a45e36f9bcfc@default>
In-Reply-To: <206aa568-cbe2-4d06-be45-a45e36f9bcfc@default>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:An9WHgTsOfH9W/972sjOprPw+MsHWRTU/j4PkshKYpaMRckERWl
 LNzIIUucMJ9XKcfqQvR9Q9pwugnG4W/MGn3f6Rp8SS7TfMkYNDj0OWNt9UEFwBbFNReQjQL
 RKZm8qGmRi7UtFTULUGvXsaw2XsQWBm4kO5IiApEfjDNJQZ+fKFgZPIplIM/BNcs6lizStb
 XdbfMfDnM6q75b3S6/SHA==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > The typical scenario where I run into it is trying to select text
 > using the mouse and inadvertently moving the mouse slightly outside
 > the frame.  The region stays selected, even as the mouse is outside
 > the frame, so I think all is well.

You _have_ to move outside the frame if you want to scroll the text in
the window and thus enlarge the region.  If the mouse cursor remains in
the window, text won't scroll.  All applications behave like this.

 > But as soon as I let go (release `mouse-1'), the selection disappears,
 > and point moves back where it was - where mark is now set also (empty
 > region).

Because you should move the cursor exactly to the location where you
want `point' to be.  Any position of `point' when the mouse cursor is
outside the frame is specified only by a previous position and the
amount text scrolled.  Emacs is different here because the region cannot
exist without `point'.  Other applications can leave the selection alone
because their equivalent of point doesn't change during mouse dragging.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 18:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 13:18:35 2015
Received: from localhost ([127.0.0.1]:37759 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTwpX-0006EL-4z
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:18:35 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:39499)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YTwpS-0006Dy-CQ
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 13:18:31 -0500
Received: from alfajor.home (lechon.iro.umontreal.ca [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id t26IIOem005283;
 Fri, 6 Mar 2015 13:18:26 -0500
Received: by alfajor.home (Postfix, from userid 20848)
 id 3F42564480; Fri,  6 Mar 2015 09:37:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
Message-ID: <jwvbnk6p51o.fsf-monnier+emacsbugs@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <54F72082.8080709@HIDDEN>
 <87a8zs4g9c.fsf@HIDDEN> <54F80E72.3040609@HIDDEN>
Date: Fri, 06 Mar 2015 09:37:25 -0500
In-Reply-To: <54F80E72.3040609@HIDDEN> (martin rudalics's message of "Thu, 05
 Mar 2015 09:06:10 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5237=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5237> : inlines <2377> : streams
 <1401022> : uri <1872992>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> So if you have two overlapping target frames, how would it know which
> one to choose?

The drag event should return the one that's on top.  Then you can
compute the corresponding location in the lower window if it wants to
using the kind of code you suggested (because it knows it wants that
specific window, not for its stacking order but for other reasons).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 16:09:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 11:09:59 2015
Received: from localhost ([127.0.0.1]:37661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTup4-0001S5-0m
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 11:09:58 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:49982)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1YTup2-0001Rl-Qa
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 11:09:57 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t26G9nqe027575
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Fri, 6 Mar 2015 16:09:50 GMT
Received: from userz7021.oracle.com (userz7021.oracle.com [156.151.31.85])
 by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t26G9mVI014894
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Fri, 6 Mar 2015 16:09:49 GMT
Received: from abhmp0017.oracle.com (abhmp0017.oracle.com [141.146.116.23])
 by userz7021.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id t26G9lUL026335;
 Fri, 6 Mar 2015 16:09:48 GMT
MIME-Version: 1.0
Message-ID: <206aa568-cbe2-4d06-be45-a45e36f9bcfc@default>
Date: Fri, 6 Mar 2015 08:09:47 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN> <8361agp10p.fsf@HIDDEN>
 <87oao79ain.fsf@HIDDEN> <83twxznzrq.fsf@HIDDEN> <874mpzi4xe.fsf@HIDDEN>
 <83r3t3nqu5.fsf@HIDDEN> <87385ilhv5.fsf@HIDDEN>
In-Reply-To: <87385ilhv5.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.8.2  (807160) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>   5. Dragging outside of the frame (which has only one window) freezes
>      the selected region as soon as the mouse leaves the frame.  It
>      doesn't matter if I leave to the left or to the right.  When I then
>      release the mouse button outside of the frame, the region vanishes
>      and the mark is set at the start position of the drag.

I haven't been following this thread. Just wanted to say that I see
this too (#5), and I find it a bit annoying.  Dunno whether anything
can be done about it.

The typical scenario where I run into it is trying to select text
using the mouse and inadvertently moving the mouse slightly outside
the frame.  The region stays selected, even as the mouse is outside
the frame, so I think all is well.=20

But as soon as I let go (release `mouse-1'), the selection disappears,
and point moves back where it was - where mark is now set also (empty
region).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 14:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 09:13:43 2015
Received: from localhost ([127.0.0.1]:37008 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTt0Y-0006ZL-Oc
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 09:13:43 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:51995)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTt0V-0006Z5-Sy
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 09:13:40 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NKS00F00N3XY300@HIDDEN> for
 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 16:05:37 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKS005G7N5D8JA0@HIDDEN>; Fri, 06 Mar 2015 16:05:37 +0200 (IST)
Date: Fri, 06 Mar 2015 16:13:35 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <87385ilhv5.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <83zj7qmcxc.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN> <8361agp10p.fsf@HIDDEN>
 <87oao79ain.fsf@HIDDEN> <83twxznzrq.fsf@HIDDEN> <874mpzi4xe.fsf@HIDDEN>
 <83r3t3nqu5.fsf@HIDDEN> <87385ilhv5.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: monnier@HIDDEN,  19988 <at> debbugs.gnu.org
> Date: Fri, 06 Mar 2015 08:12:14 +0100
> 
>   3. When I drag into a different window on the right of the start
>      window which shows a different buffer than the start window, the
>      region (highlighting) freezes as soon as I leave the start window.
>      When I release the mouse button, the region suddenly becomes
>      start-position to top of the buffer.

What happens when you release the mouse button depend on which line in
the original window you were.  If you were on the first line, then
mouse-drag-track (which see) tries to scroll the display, and as
result you end up with the above effect.

>   4. Doing the same as in 3. but dragging to the window on the left,
>      when releasing the mouse button the region suddenly becomes start
>      position to "somewhere above the end of the marked region which
>      froze when leaving the start window", i.e., the region-end jumps
>      up.  Sometimes even higher than the region-start, sometimes below
>      it.  Sorry, I don't see any system here...

Look at mouse-drag-track, and I think things will become clearer.  Not
sure if the logic there is entirely correct, I think it might "assume"
too much when the end event gives no usable position on another frame.

>   5. Dragging outside of the frame (which has only one window) freezes
>      the selected region as soon as the mouse leaves the frame.  It
>      doesn't matter if I leave to the left or to the right.  When I then
>      release the mouse button outside of the frame, the region vanishes
>      and the mark is set at the start position of the drag.
> 
> So it seems you get a different behavior in at least case 5 (i.e., your
> region doesn't vanish).

It does vanish when I release the mouse button.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 6 Mar 2015 07:12:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 02:12:30 2015
Received: from localhost ([127.0.0.1]:36721 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTmQv-0001bM-Rn
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 02:12:30 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:50083)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTmQo-0001b7-Iz
 for 19988 <at> debbugs.gnu.org; Fri, 06 Mar 2015 02:12:27 -0500
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id B15C4206EC
 for <19988 <at> debbugs.gnu.org>; Fri,  6 Mar 2015 02:12:20 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute1.internal (MEProxy); Fri, 06 Mar 2015 02:12:22 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=x-sasl-enc:from:to:cc:subject:references
 :date:in-reply-to:message-id:mime-version:content-type; s=
 smtpout; bh=kwOhDs3miwGIPSNyqgVDdlJ3Fec=; b=SfRopipHjI/TFmS9RqLc
 2p9GjQ5RZ6aD4FmRhq1dseEUyDuBmNopb9Rr8uzf8K3YDMiELWTVb/1HpXIFYIi8
 fKTiOjz/jqZclJeK/x5GaN1uYObDAw5IDtAq6V6vdfTGMGcoUD92uccOOyszo++A
 BdzTshASKwK9ym1fd08CM6E=
X-Sasl-enc: E7ROYOeuHKN2tsJ6N3hCIW4i4e8fq1JjmYOa+OgA3e7v 1425625941
Received: from thinkpad-t440p (unknown [2.160.6.91])
 by mail.messagingengine.com (Postfix) with ESMTPA id C53D0C002AB;
 Fri,  6 Mar 2015 02:12:20 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <8361agp10p.fsf@HIDDEN> <87oao79ain.fsf@HIDDEN>
 <83twxznzrq.fsf@HIDDEN> <874mpzi4xe.fsf@HIDDEN>
 <83r3t3nqu5.fsf@HIDDEN>
Date: Fri, 06 Mar 2015 08:12:14 +0100
In-Reply-To: <83r3t3nqu5.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 05 Mar
 2015 22:15:30 +0200")
Message-ID: <87385ilhv5.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> >> Now I get a different behavior as described yesterday [1]: when my
>> >> drag is released outside of the frame where it startet, no region
>> >> is selected and the mark is set at the start position of the
>> >> selected text.
>> >
>> > That's not what I see.  For me, the region extension ends when the
>> > mouse goes out of the frame, and the region stays as it was at the
>> > last extension.
>> >
>> > Through which side of the frame do you exit the frame while dragging?
>> 
>> It doesn't matter, the behavior is as described above.  As said in my
>> other mail, I don't use scroll-bars.  But even with emacs -Q with
>> scroll-bars on the right compiled from commit cbc9d8d I have the same
>> behavior as above.
>
> So you are saying that you see the region extend to the edge of the
> text as long as you drag the mouse inside the frame, then shrink back
> when the mouse is dragged outside of the frame?

Not exactly.

  1. As long as I drag inside the start window, the region
     extends/shrinks.  When releasing the mouse button, the region is
     from the start point to the position where I released the button
     and is active, i.e., highlighted by tmm.

  2. When I drag into a different window of the left or right of the
     start window *showing the same buffer*, the region (highlighting)
     freezes at the position where the start window was left.  When I
     release the mouse button in the other window, the region suddenly
     resized from the start position to the end position of the other
     window.  That's actually a cool feature as it allows to select
     large regions without scrolling.

  3. When I drag into a different window on the right of the start
     window which shows a different buffer than the start window, the
     region (highlighting) freezes as soon as I leave the start window.
     When I release the mouse button, the region suddenly becomes
     start-position to top of the buffer.

  4. Doing the same as in 3. but dragging to the window on the left,
     when releasing the mouse button the region suddenly becomes start
     position to "somewhere above the end of the marked region which
     froze when leaving the start window", i.e., the region-end jumps
     up.  Sometimes even higher than the region-start, sometimes below
     it.  Sorry, I don't see any system here...

  5. Dragging outside of the frame (which has only one window) freezes
     the selected region as soon as the mouse leaves the frame.  It
     doesn't matter if I leave to the left or to the right.  When I then
     release the mouse button outside of the frame, the region vanishes
     and the mark is set at the start position of the drag.

So it seems you get a different behavior in at least case 5 (i.e., your
region doesn't vanish).  Not sure what might be the difference but I can
reproduce that using emacs -Q.

GNU Emacs 25.0.50.4 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.9) of
2015-03-06, commit bfebebbc72c6a6ea375c6e8ed7f8641b25439770

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 20:15:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 15:15:40 2015
Received: from localhost ([127.0.0.1]:36444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTcBH-0004wd-Pt
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:15:40 -0500
Received: from mtaout27.012.net.il ([80.179.55.183]:45924)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTcBF-0004wM-BR
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:15:38 -0500
Received: from conversion-daemon.mtaout27.012.net.il by mtaout27.012.net.il
 (HyperSendmail v2007.08) id <0NKR00I008WOSL00@HIDDEN> for
 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 22:10:04 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout27.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKR00IE09CSAM20@HIDDEN>; Thu, 05 Mar 2015 22:10:04 +0200 (IST)
Date: Thu, 05 Mar 2015 22:15:30 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <874mpzi4xe.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <83r3t3nqu5.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN> <8361agp10p.fsf@HIDDEN>
 <87oao79ain.fsf@HIDDEN> <83twxznzrq.fsf@HIDDEN> <874mpzi4xe.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: monnier@HIDDEN,  19988 <at> debbugs.gnu.org
> Date: Thu, 05 Mar 2015 21:07:41 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> Now I get a different behavior as described yesterday [1]: when my drag
> >> is released outside of the frame where it startet, no region is selected
> >> and the mark is set at the start position of the selected text.
> >
> > That's not what I see.  For me, the region extension ends when the
> > mouse goes out of the frame, and the region stays as it was at the
> > last extension.
> >
> > Through which side of the frame do you exit the frame while dragging?
> 
> It doesn't matter, the behavior is as described above.  As said in my
> other mail, I don't use scroll-bars.  But even with emacs -Q with
> scroll-bars on the right compiled from commit cbc9d8d I have the same
> behavior as above.

So you are saying that you see the region extend to the edge of the
text as long as you drag the mouse inside the frame, then shrink back
when the mouse is dragged outside of the frame?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 20:07:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 15:07:51 2015
Received: from localhost ([127.0.0.1]:36436 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTc3i-0004jE-TS
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:07:51 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:33914)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTc3h-0004j5-3k
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:07:49 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 4BC1B20851
 for <19988 <at> debbugs.gnu.org>; Thu,  5 Mar 2015 15:07:46 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute3.internal (MEProxy); Thu, 05 Mar 2015 15:07:47 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=x-sasl-enc:from:to:cc:subject:references
 :date:in-reply-to:message-id:mime-version:content-type; s=
 smtpout; bh=SsNgFXQjSVZOczDsG7Bzc3W5IJM=; b=UVTw171hv4O820T/cFLL
 e+/1S003ao6Z2M3W6TANuYwC7F8T0scE1gzyjrHyseHl/jZiTcyQRiHA4Qt8M08e
 0b+Aeeiqq82rM/6KBXLPysTmykiJ451okKS/pG9hXJyvERKJ1d6/sSN6+8jtZWsQ
 32nWURV3Xs/C9I5Poq5MzR8=
X-Sasl-enc: iLmTe3XHL6/Tc2D7oZRk3ZaPB8FPPi2+mv9mTtdWzOiE 1425586066
Received: from thinkpad-t440p (unknown [2.160.249.250])
 by mail.messagingengine.com (Postfix) with ESMTPA id 5EE99C002A9;
 Thu,  5 Mar 2015 15:07:46 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <8361agp10p.fsf@HIDDEN> <87oao79ain.fsf@HIDDEN>
 <83twxznzrq.fsf@HIDDEN>
Date: Thu, 05 Mar 2015 21:07:41 +0100
In-Reply-To: <83twxznzrq.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 05 Mar
 2015 19:02:33 +0200")
Message-ID: <874mpzi4xe.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Now I get a different behavior as described yesterday [1]: when my drag
>> is released outside of the frame where it startet, no region is selected
>> and the mark is set at the start position of the selected text.
>
> That's not what I see.  For me, the region extension ends when the
> mouse goes out of the frame, and the region stays as it was at the
> last extension.
>
> Through which side of the frame do you exit the frame while dragging?

It doesn't matter, the behavior is as described above.  As said in my
other mail, I don't use scroll-bars.  But even with emacs -Q with
scroll-bars on the right compiled from commit cbc9d8d I have the same
behavior as above.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 20:02:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 15:02:03 2015
Received: from localhost ([127.0.0.1]:36421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTby6-0004ZG-P9
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:02:03 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:48985)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTby3-0004Ye-MF
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 15:02:00 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 351B62095A
 for <19988 <at> debbugs.gnu.org>; Thu,  5 Mar 2015 15:01:57 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute4.internal (MEProxy); Thu, 05 Mar 2015 15:01:58 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=x-sasl-enc:from:to:cc:subject:references
 :date:in-reply-to:message-id:mime-version:content-type; s=
 smtpout; bh=HlLxS9g8JoNDCSMo6UhmaX8cnic=; b=JnIhEGpOifVQ7O+XXku3
 uuEpQjwXzoLWh4Hz3eYqTz5qeudcbornhouUfD3K1mn0OTI1MurEUPS0T5JwIPPa
 pFUbSiil7aKqf5S+/hqBYaxiZ/eiJLTps4sctJv9KznOjyraK5pG4bH0qTN0kDJC
 ccuu01w1jrwXYUBFx5PJKJ4=
X-Sasl-enc: oEYi9LFH5akpY5AQAP+AAP1N/iDKM5CZm6//IGIWbHJf 1425585717
Received: from thinkpad-t440p (unknown [2.160.249.250])
 by mail.messagingengine.com (Postfix) with ESMTPA id 96F22C00295;
 Thu,  5 Mar 2015 15:01:57 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <8361agp10p.fsf@HIDDEN> <83vbifnzux.fsf@HIDDEN>
Date: Thu, 05 Mar 2015 21:01:52 +0100
In-Reply-To: <83vbifnzux.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 05 Mar
 2015 19:00:38 +0200")
Message-ID: <878ufbi573.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > When I select a region by dragging Mouse-1 starting at the "selected."
>> > above, as soon as the mouse cursor leaves the emacs frame, the region
>> > won't grow or shrink anymore until I enter the frame and window again.
>> > And when I release the drag outside of the frame and window where I
>> > started, the final region is the last one before leaving the
>> > frame/window.  That's pretty much what I'd expect except that releasing
>> > the drag outside of the start frame/window inactivates the region.
>> 
>> I wish I saw something like that, but I don't.  Could be a Windows
>> specific issue, though.
>
> No, it's not Windows-specific.  Crystal ball says if you make your
> scroll bars appear on the right of the window, you, too, will see
> abnormal behavior when mouse exits outside of the frame to the right.

I don't have scroll-bars at all. ;-)

> Now fixed in commit 1be3bd0.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 17:05:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 12:05:38 2015
Received: from localhost ([127.0.0.1]:36208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTZDO-0008A8-0L
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:05:38 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:64121)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTZDL-00089r-P7
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:05:37 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NKR00I000RHAT00@HIDDEN> for 19988 <at> debbugs.gnu.org;
 Thu, 05 Mar 2015 19:05:29 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKR00HID0T0WU80@HIDDEN>;
 Thu, 05 Mar 2015 19:05:24 +0200 (IST)
Date: Thu, 05 Mar 2015 19:05:24 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <jwvh9u05qci.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83sidjnzmz.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <jwvh9u05qci.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, 19988 <at> debbugs.gnu.org
> Date: Wed, 04 Mar 2015 17:58:46 -0500
> 
> > How do we include both in a backward-compatible way?
> 
> Good question.  Maybe we can return only one of the two and find a way
> to implement a function that computes the other from the one
> that's returned.

Yes, that would work.

> > When I select a region by dragging Mouse-1 starting at the "selected."
> > above, as soon as the mouse cursor leaves the emacs frame, the region
> > won't grow or shrink anymore until I enter the frame and window again.
> 
> Indeed, sorry.  Dragging keeps working when you drag a mode-line but not
> when you drag a region.  Not sure why.  Looks like a bug to me.

The code looks like it was explicitly programmed to do this.

> Actually, it's more subtle than that: if I move into another frame which
> hides part of the selected window, the drag keeps working (as long as
> I stay within the bounds of the originally selected window, even though
> I don't get to see some of those bounds because they're hidden by
> another frame).

This doesn't happen on my system.  Could be toolkit-specific.

> Oh, and there's yet another subtlety: if, during the drag, you move the
> mouse out of the selected frame, the drag seems to freeze indeed, but if
> you then move your mouse higher/lower than the frame the text gets
> scrolled and the drag does take place (even if you release the mouse
> while it's outside of the originally selected frame/window).

Yes, and that's expected, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 17:02:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 12:02:42 2015
Received: from localhost ([127.0.0.1]:36204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTZAY-00085H-EA
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:02:42 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:59047)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTZAW-000853-GM
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:02:41 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NKR00L00039TQ00@HIDDEN> for
 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 18:54:38 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKR00DYW0B24880@HIDDEN>; Thu, 05 Mar 2015 18:54:38 +0200 (IST)
Date: Thu, 05 Mar 2015 19:02:33 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <87oao79ain.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <83twxznzrq.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN> <8361agp10p.fsf@HIDDEN>
 <87oao79ain.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: monnier@HIDDEN,  19988 <at> debbugs.gnu.org
> Date: Thu, 05 Mar 2015 08:19:28 +0100
> 
> Now I get a different behavior as described yesterday [1]: when my drag
> is released outside of the frame where it startet, no region is selected
> and the mark is set at the start position of the selected text.

That's not what I see.  For me, the region extension ends when the
mouse goes out of the frame, and the region stays as it was at the
last extension.

Through which side of the frame do you exit the frame while dragging?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 17:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 12:00:48 2015
Received: from localhost ([127.0.0.1]:36200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTZ8h-0007G9-Hj
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:00:47 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:54459)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTZ8f-00077D-I2
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 12:00:46 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NKR00D0007S0L00@HIDDEN> for 19988 <at> debbugs.gnu.org;
 Thu, 05 Mar 2015 19:00:39 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKR00DMC0L20Y00@HIDDEN>;
 Thu, 05 Mar 2015 19:00:39 +0200 (IST)
Date: Thu, 05 Mar 2015 19:00:38 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <8361agp10p.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: tsdh@HIDDEN
Message-id: <83vbifnzux.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN> <8361agp10p.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 05 Mar 2015 05:37:58 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 19988 <at> debbugs.gnu.org
> 
> > When I select a region by dragging Mouse-1 starting at the "selected."
> > above, as soon as the mouse cursor leaves the emacs frame, the region
> > won't grow or shrink anymore until I enter the frame and window again.
> > And when I release the drag outside of the frame and window where I
> > started, the final region is the last one before leaving the
> > frame/window.  That's pretty much what I'd expect except that releasing
> > the drag outside of the start frame/window inactivates the region.
> 
> I wish I saw something like that, but I don't.  Could be a Windows
> specific issue, though.

No, it's not Windows-specific.  Crystal ball says if you make your
scroll bars appear on the right of the window, you, too, will see
abnormal behavior when mouse exits outside of the frame to the right.

Now fixed in commit 1be3bd0.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 08:06:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 03:06:26 2015
Received: from localhost ([127.0.0.1]:35546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQnZ-0005hv-OH
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:06:25 -0500
Received: from mout.gmx.net ([212.227.17.20]:53723)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTQnY-0005hj-Lt
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:06:25 -0500
Received: from [62.47.255.182] ([62.47.255.182]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0MUkxk-1Xxdki3jrA-00YBlc; Thu, 05 Mar 2015 09:06:17
 +0100
Message-ID: <54F80E72.3040609@HIDDEN>
Date: Thu, 05 Mar 2015 09:06:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <54F72082.8080709@HIDDEN>
 <87a8zs4g9c.fsf@HIDDEN>
In-Reply-To: <87a8zs4g9c.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:/iQf6b19fB5bqDolSwGTCHcU/oy56svictjUakJGZZwWcDogZAH
 iFGCm7i6czOYf2Rxe7+HumlMrgkCVzXlNGdWqiXxu67ec/vMQZ67ocTPpMi/OPmc0WBSPQT
 kFgDgLPnAGHIQsOVO3U1Uc5oW+t2dL0AKgamJb+glnmnOKxSPmFt0GsbaCcGfvLrdAf1865
 hnfjhoui/J5sOeuaVgMdw==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Ok.  I think that would still be a nice enhancement although not
 > pressing.

It's tricky as I explained earlier.  Emacs knows about the x/y-extents
of its visible frames but has no idea about the Z order they appear in.
So if you have two overlapping target frames, how would it know which
one to choose?

 > At least your rewrite of my function isn't really obvious to
 > me and probably most users.

Basically you should rewrite you function using mouse tracking.  Mine is
only a hack to work within the frame of what you wrote before.

 > And it also behaves wrongly in some
 > situations with overlapping frames.

Expected.  See above.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 08:05:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 03:05:47 2015
Received: from localhost ([127.0.0.1]:35536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQmx-0005gE-4n
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:47 -0500
Received: from mout.gmx.net ([212.227.17.22]:59001)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTQmv-0005fk-0C
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:45 -0500
Received: from [62.47.255.182] ([62.47.255.182]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LaKaw-1Xl2ci0EMY-00lzRu; Thu, 05 Mar 2015 09:05:34
 +0100
Message-ID: <54F80E46.8070705@HIDDEN>
Date: Thu, 05 Mar 2015 09:05:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>, 
 Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
 <83r3t5q11o.fsf@HIDDEN>	<jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
 <87mw3tfdn8.fsf@HIDDEN>	<83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <jwvh9u05qci.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvh9u05qci.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:9dH86svSgLWCm/fEEaWtTNUvrj3pBf7dkYXIgdr2Y7DNY5cfzto
 JUNUK3V1b+EGckLOtvgG5ocuFzyrOnxufMleE9OGijba85LIA/vwASaDLAPfO47iyUMLTYU
 +x4aHnCHk0fpIi52e1oB55vGsxGGTx+AB2JCCJ6o+rUfc/Rm+DHKqGZMfE3BAz5NjRKkoja
 CKpdiUweP+lz8GtvUSU9g==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Actually, it's more subtle than that: if I move into another frame which
 > hides part of the selected window, the drag keeps working (as long as
 > I stay within the bounds of the originally selected window, even though
 > I don't get to see some of those bounds because they're hidden by
 > another frame).

But that's expected?

 > Oh, and there's yet another subtlety: if, during the drag, you move the
 > mouse out of the selected frame, the drag seems to freeze indeed, but if
 > you then move your mouse higher/lower than the frame the text gets
 > scrolled and the drag does take place (even if you release the mouse
 > while it's outside of the originally selected frame/window).

And that's the behavior I see with all applications that allow expanding
highlighted text with the mouse.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 08:05:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 03:05:30 2015
Received: from localhost ([127.0.0.1]:35520 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQmg-0005fF-E8
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:30 -0500
Received: from mout.gmx.net ([212.227.17.21]:54907)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTQmc-0005ej-LZ
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 03:05:27 -0500
Received: from [62.47.255.182] ([62.47.255.182]) by mail.gmx.com (mrgmx102)
 with ESMTPSA (Nemesis) id 0MbJTE-1YCzrE3Xmu-00IlDh; Thu, 05 Mar 2015 09:05:17
 +0100
Message-ID: <54F80E36.9030001@HIDDEN>
Date: Thu, 05 Mar 2015 09:05:10 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Tassilo Horn <tsdh@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
 <83r3t5q11o.fsf@HIDDEN>	<jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
 <87mw3tfdn8.fsf@HIDDEN>	<83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
In-Reply-To: <87egp44gh5.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:N42343EtPLyI4V8RIYDdeODww54FzVAc0jUYTF8dVKcLdHOIVzS
 4B+G5PmuWbvbDD/4y9eQ1m2m/yAL530piN7aGaF1uMd/nub8Ts0PJBKpwNVtzAHOKxgbtZ6
 5oj/yUpDAdu2QbbmysqKNRJ1dXLl+4X5RnHiY3Z06QiHhmG06XoiQnzE8anpaGAg98t/qdQ
 xtuNcvWAKt4VqOSd8Pilw==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > When I select a region by dragging Mouse-1 starting at the "selected."
 > above, as soon as the mouse cursor leaves the emacs frame, the region
 > won't grow or shrink anymore until I enter the frame and window again.
 > And when I release the drag outside of the frame and window where I
 > started, the final region is the last one before leaving the
 > frame/window.

With emacs -Q?  That's very strange.  I've never seen such behavior
anywhere, neither with Emacs nor with any other application I use.

 > That's pretty much what I'd expect except that releasing
 > the drag outside of the start frame/window inactivates the region.

But how can you possibly mouse-extend the region if your mouse cursor
has to stay within the window?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 07:19:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 05 02:19:36 2015
Received: from localhost ([127.0.0.1]:35431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTQ4F-0004WA-EV
	for submit <at> debbugs.gnu.org; Thu, 05 Mar 2015 02:19:35 -0500
Received: from deliver.uni-koblenz.de ([141.26.64.15]:58115)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTQ49-0004Vv-KC
 for 19988 <at> debbugs.gnu.org; Thu, 05 Mar 2015 02:19:33 -0500
Received: from thinkpad-t440p (dhcp27.uni-koblenz.de [141.26.71.27])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 642471A8493;
 Thu,  5 Mar 2015 08:19:28 +0100 (CET)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
 <8361agp10p.fsf@HIDDEN>
Date: Thu, 05 Mar 2015 08:19:28 +0100
In-Reply-To: <8361agp10p.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 05 Mar
 2015 05:37:58 +0200")
Message-ID: <87oao79ain.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> >> And that situation is already covered as one would expect.
>> >
>> > What do you mean by "as one would expect"?  On my machine, the
>> > behavior is unreasonable: the wrong part of text is selected.
>> 
>> When I select a region by dragging Mouse-1 starting at the "selected."
>> above, as soon as the mouse cursor leaves the emacs frame, the region
>> won't grow or shrink anymore until I enter the frame and window again.
>> And when I release the drag outside of the frame and window where I
>> started, the final region is the last one before leaving the
>> frame/window.  That's pretty much what I'd expect except that releasing
>> the drag outside of the start frame/window inactivates the region.
>
> I wish I saw something like that, but I don't.  Could be a Windows
> specific issue, though.
>
> In any case, that doesn't explain the "already covered" part: isn't
> that "covered" _because_ we return the initial frame as the end of
> drag?

Now I get a different behavior as described yesterday [1]: when my drag
is released outside of the frame where it startet, no region is selected
and the mark is set at the start position of the selected text.  I
really wonder why I got a different behavior.

Having the initial frame as the drag end has to do with that, indeed,
but only because (posn-point (event-end click)) returns nil in this case
(see `mouse-set-region').  If it had the window of another frame as drag
end instead, it would use as region the position in the start window and
the correspondence of the end in the target window in the source window.
That would be nonsense if both windows show a different buffer, but if
they showed the same buffer that could infact be quite reasonable and
convenient to select large regions without needing to scroll.  (Of
course, that won't work if my drag leaves the start window on top or at
the bottom which triggeres scrolling...)

Anyway, if drag events would return the actual end window even if that's
on another frame (and the start frame only in case the drag ended
external to emacs), then `mouse-set-region' would need to check if start
and end window are the same and else do nothing.  Doing that right now
wouldn't hurt either, as it would inhibit setting the mark at the start
of the region which won't be selected anyhow.

Bye,
Tassilo

[1] I only updated my emacs checkout just now but there seem to be no
relevant changes from yesterday morning's version.  And I did a
bootstrap yesterday evening...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 5 Mar 2015 03:38:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 22:38:12 2015
Received: from localhost ([127.0.0.1]:35396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTMbz-0007bW-FT
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 22:38:12 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:55720)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTMbv-0007b1-VW
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 22:38:09 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NKP00E00Z6UWB00@HIDDEN> for 19988 <at> debbugs.gnu.org;
 Thu, 05 Mar 2015 05:38:01 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKP00EV4ZFCWF00@HIDDEN>;
 Thu, 05 Mar 2015 05:38:01 +0200 (IST)
Date: Thu, 05 Mar 2015 05:37:58 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <87egp44gh5.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <8361agp10p.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: monnier@HIDDEN,  19988 <at> debbugs.gnu.org
> Date: Wed, 04 Mar 2015 22:09:42 +0100
> 
> >> And that situation is already covered as one would expect.
> >
> > What do you mean by "as one would expect"?  On my machine, the
> > behavior is unreasonable: the wrong part of text is selected.
> 
> When I select a region by dragging Mouse-1 starting at the "selected."
> above, as soon as the mouse cursor leaves the emacs frame, the region
> won't grow or shrink anymore until I enter the frame and window again.
> And when I release the drag outside of the frame and window where I
> started, the final region is the last one before leaving the
> frame/window.  That's pretty much what I'd expect except that releasing
> the drag outside of the start frame/window inactivates the region.

I wish I saw something like that, but I don't.  Could be a Windows
specific issue, though.

In any case, that doesn't explain the "already covered" part: isn't
that "covered" _because_ we return the initial frame as the end of
drag?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 22:59:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 17:59:16 2015
Received: from localhost ([127.0.0.1]:35340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTIG3-00015p-Rc
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 17:59:16 -0500
Received: from pruche.dit.umontreal.ca ([132.204.246.22]:59149)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YTIG0-00015g-Cq
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 17:59:13 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id t24Mx8tO012550;
 Wed, 4 Mar 2015 17:59:09 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 56436AE187; Wed,  4 Mar 2015 17:58:46 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Tassilo Horn <tsdh@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
Message-ID: <jwvh9u05qci.fsf-monnier+emacsbugs@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN> <87egp44gh5.fsf@HIDDEN>
Date: Wed, 04 Mar 2015 17:58:46 -0500
In-Reply-To: <87egp44gh5.fsf@HIDDEN> (Tassilo Horn's message of "Wed, 04 Mar
 2015 22:09:42 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5235=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5235> : inlines <2362> : streams
 <1400031> : uri <1871271>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> How do we include both in a backward-compatible way?

Good question.  Maybe we can return only one of the two and find a way
to implement a function that computes the other from the one
that's returned.

> When I select a region by dragging Mouse-1 starting at the "selected."
> above, as soon as the mouse cursor leaves the emacs frame, the region
> won't grow or shrink anymore until I enter the frame and window again.

Indeed, sorry.  Dragging keeps working when you drag a mode-line but not
when you drag a region.  Not sure why.  Looks like a bug to me.

Actually, it's more subtle than that: if I move into another frame which
hides part of the selected window, the drag keeps working (as long as
I stay within the bounds of the originally selected window, even though
I don't get to see some of those bounds because they're hidden by
another frame).

Oh, and there's yet another subtlety: if, during the drag, you move the
mouse out of the selected frame, the drag seems to freeze indeed, but if
you then move your mouse higher/lower than the frame the text gets
scrolled and the drag does take place (even if you release the mouse
while it's outside of the originally selected frame/window).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 21:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 16:14:34 2015
Received: from localhost ([127.0.0.1]:35318 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTGcj-00072R-Pk
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:14:34 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:44622)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTGch-00072J-MI
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:14:32 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 54D4720C8B
 for <19988 <at> debbugs.gnu.org>; Wed,  4 Mar 2015 16:14:30 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute3.internal (MEProxy); Wed, 04 Mar 2015 16:14:31 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=x-sasl-enc:from:to:cc:subject:references
 :date:in-reply-to:message-id:mime-version:content-type; s=
 smtpout; bh=iKLcZ84xP6A6z5VulhsZCGanqlE=; b=Prn5MUBKjNnfB458blSM
 RCyyuwAflB5UgH+uq0Q1WyJRbzTRvRLENyDB2+wsJFGXNntcEQ/KFne8uIwXMDDx
 ib7BH5uwyLPInJ0mN4zl3HT7FVdvIie+NY54MPSpqNK1gojCCXW8d74+DNYlItp1
 hB9WUY24SByNZ8cIxNFm9co=
X-Sasl-enc: Y+Uc2pUVVznJ0Ix2OrXqJ4ui38jshWuM20XhLPQ8zWE/ 1425503670
Received: from thinkpad-t440p (unknown [2.162.159.12])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1C994C002A9;
 Wed,  4 Mar 2015 16:14:29 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <54F72082.8080709@HIDDEN>
Date: Wed, 04 Mar 2015 22:14:23 +0100
In-Reply-To: <54F72082.8080709@HIDDEN> (martin rudalics's message of "Wed, 04
 Mar 2015 16:10:58 +0100")
Message-ID: <87a8zs4g9c.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

martin rudalics <rudalics@HIDDEN> writes:

Hi Martin,

>> Is there a reason why drag events cannot work across different frames
>> of the very same Emacs instance?
>
> They could but it's a bit tricky when frames overlap.  And probably
> some routines would have to be rewritten because they expect events to
> happen on the selected frame.

Ok.  I think that would still be a nice enhancement although not
pressing.  At least your rewrite of my function isn't really obvious to
me and probably most users.  And it also behaves wrongly in some
situations with overlapping frames.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 21:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 16:09:58 2015
Received: from localhost ([127.0.0.1]:35302 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTGYH-0006un-PJ
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:09:58 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:55586)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YTGY9-0006uZ-Bn
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 16:09:56 -0500
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id AEC422089E
 for <19988 <at> debbugs.gnu.org>; Wed,  4 Mar 2015 16:09:47 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute5.internal (MEProxy); Wed, 04 Mar 2015 16:09:48 -0500
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed/relaxed; d=
 messagingengine.com; h=x-sasl-enc:from:to:cc:subject:references
 :date:in-reply-to:message-id:mime-version:content-type; s=
 smtpout; bh=zk6IImccvqcL/OBT6Xa6bkJrsJo=; b=m7NL1N+JxGcEeeDovP4B
 JrClzPthwh4WSmnzWUM3u03B0BEVFeCgZ/9P+e+K0azhU52MkbvNb20VeiT+ZfnE
 BnK/Vf8qU60dmAJB6V17cnmQtvsNCtV+7f/E8QKz0hG9DdNZbRFs6cRwVLkj5U7G
 +hypxPl1CyC+RLiD3KnHuKE=
X-Sasl-enc: Jh+7BmCtLarX9DVmthvEWHMaWbdolP5Pmmjq4jZ8eKQd 1425503388
Received: from thinkpad-t440p (unknown [2.162.159.12])
 by mail.messagingengine.com (Postfix) with ESMTPA id 99598C0028C;
 Wed,  4 Mar 2015 16:09:47 -0500 (EST)
From: Tassilo Horn <tsdh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
 <83mw3sptht.fsf@HIDDEN>
Date: Wed, 04 Mar 2015 22:09:42 +0100
In-Reply-To: <83mw3sptht.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 04 Mar
 2015 19:22:54 +0200")
Message-ID: <87egp44gh5.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > FWIW, the current behavior is probably useful in the case where the
>> > drag is used in order to select a region.  IOW, we should probably
>> > include *both* informations.
>> 
>> I don't get your statement.  When selecting a region, you're
>> restricted to one window anyway, no?
>
> Stefan thinks about dragging the mouse outside of the frame, to
> another frame: you'd still want to select only text in the window you
> started.
>
>> And that situation is already covered as one would expect.
>
> What do you mean by "as one would expect"?  On my machine, the
> behavior is unreasonable: the wrong part of text is selected.

When I select a region by dragging Mouse-1 starting at the "selected."
above, as soon as the mouse cursor leaves the emacs frame, the region
won't grow or shrink anymore until I enter the frame and window again.
And when I release the drag outside of the frame and window where I
started, the final region is the last one before leaving the
frame/window.  That's pretty much what I'd expect except that releasing
the drag outside of the start frame/window inactivates the region.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 17:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 12:23:07 2015
Received: from localhost ([127.0.0.1]:35190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTD0k-0001ST-OG
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 12:23:06 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:44299)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTD0i-0001Rt-Hd
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 12:23:05 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NKP008006PMRR00@HIDDEN> for
 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 19:21:24 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKP006VU6VOKV30@HIDDEN>; Wed, 04 Mar 2015 19:21:24 +0200 (IST)
Date: Wed, 04 Mar 2015 19:22:54 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <87mw3tfdn8.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <83mw3sptht.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> <87mw3tfdn8.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  19988 <at> debbugs.gnu.org
> Date: Wed, 04 Mar 2015 08:03:07 +0100
> 
> > FWIW, the current behavior is probably useful in the case where the drag
> > is used in order to select a region.  IOW, we should probably include
> > *both* informations.
> 
> I don't get your statement.  When selecting a region, you're restricted
> to one window anyway, no?

Stefan thinks about dragging the mouse outside of the frame, to
another frame: you'd still want to select only text in the window you
started.

> And that situation is already covered as one would expect.

What do you mean by "as one would expect"?  On my machine, the
behavior is unreasonable: the wrong part of text is selected.

So, Stefan, it looks like this doesn't work with the current code,
either.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 17:19:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 12:19:35 2015
Received: from localhost ([127.0.0.1]:35186 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTCxL-0001N4-23
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 12:19:35 -0500
Received: from mtaout26.012.net.il ([80.179.55.182]:46572)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YTCxH-0001Mo-Rl
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 12:19:33 -0500
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0NKP00H006PYRX00@HIDDEN> for
 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 19:19:55 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKP009W36T63UA0@HIDDEN>; Wed, 04 Mar 2015 19:19:55 +0200 (IST)
Date: Wed, 04 Mar 2015 19:19:21 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83oao8ptnq.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, tsdh@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: Tassilo Horn <tsdh@HIDDEN>, 19988 <at> debbugs.gnu.org
> Date: Tue, 03 Mar 2015 23:28:25 -0500
> 
> > If this is only about the case when the drag ends outside of any Emacs
> > frame, then we could amend the code to cover the case that the drag
> > ends on an Emacs frame.  The current code doesn't check whether we the
> > button-up event was received in an Emacs frame.
> 
> FWIW, the current behavior is probably useful in the case where the drag
> is used in order to select a region.  IOW, we should probably include
> *both* informations.

How do we include both in a backward-compatible way?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 15:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 10:11:12 2015
Received: from localhost ([127.0.0.1]:35145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YTAx5-0005LX-PR
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 10:11:12 -0500
Received: from mout.gmx.net ([212.227.15.19]:59415)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YTAx4-0005LE-5S
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 10:11:10 -0500
Received: from [88.117.118.171] ([88.117.118.171]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0M70Td-1XWphi3MdZ-00wkcA;
 Wed, 04 Mar 2015 16:11:03 +0100
Message-ID: <54F72082.8080709@HIDDEN>
Date: Wed, 04 Mar 2015 16:10:58 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Tassilo Horn <tsdh@HIDDEN>, 19988 <at> debbugs.gnu.org
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN>
In-Reply-To: <87k2yycfwh.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:X2m26UnjbRg9/qtWF4GWxFwY5adcj39jVOvtLNaoJV1BNptz4yQ
 C7fQvPjYMoB64sKl8BSd3cB+CZmMVQI3s7v7E2pl/GZsWyav7bMPVvyZwT7Vr96TqWUjkcy
 /sjJ8lGqQiavo2GXD7OUDrUirgTUmu5sK87WqeHeoa/KByvMWB9WktKUCAVX0zWWvxQXf2x
 zk4QWsUlk1YfgANJvw61A==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 19988
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Is there a reason why drag events cannot work across different frames of
 > the very same Emacs instance?

They could but it's a bit tricky when frames overlap.  And probably some
routines would have to be rewritten because they expect events to happen
on the selected frame.

 > Background: I've written a command that uses drag events to swap buffers
 > of two Emacs windows:

I'd rewrite it (sloppily) as follows:

(defun th/swap-window-buffers-by-dnd (drag-event)
   "Swaps the buffers displayed in the DRAG-EVENT's start and end
window."
   (interactive "e")
   (let ((start-win (cl-caadr drag-event))
	(end-win   (cl-caaddr drag-event)))

     (unless (window-live-p end-win)
       (let* ((selected-frame (selected-frame))
	     (frames (delq selected-frame (frame-list)))
	     position frame window)
	(unwind-protect
	    (catch 'found
	      (while frames
		(select-frame (car frames))
		(setq position (mouse-position))
		(setq window (window-at (cadr position) (cddr position)))
		(when (window-live-p window)
		  (setq end-win window)
		  (throw 'found t))
		(setq frames (cdr frames))))
	  (select-frame selected-frame))))

     (when (and (windowp start-win)
	       (windowp end-win)
	       (not (eq start-win end-win)))
       (let ((bs (window-buffer start-win))
	    (be (window-buffer end-win)))
	(set-window-buffer start-win be)
	(set-window-buffer end-win bs)))))

(global-set-key (kbd "<C-S-drag-mouse-1>")
		#'th/swap-window-buffers-by-dnd)

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 07:03:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 04 02:03:12 2015
Received: from localhost ([127.0.0.1]:34473 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YT3Kq-0007iZ-4m
	for submit <at> debbugs.gnu.org; Wed, 04 Mar 2015 02:03:12 -0500
Received: from deliver.uni-koblenz.de ([141.26.64.15]:37669)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YT3Kn-0007iO-CR
 for 19988 <at> debbugs.gnu.org; Wed, 04 Mar 2015 02:03:10 -0500
Received: from thinkpad-t440p (dhcp27.uni-koblenz.de [141.26.71.27])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 9A0F91A8217;
 Wed,  4 Mar 2015 08:03:07 +0100 (CET)
From: Tassilo Horn <tsdh@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
 <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
Date: Wed, 04 Mar 2015 08:03:07 +0100
In-Reply-To: <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 03 Mar 2015 23:28:25 -0500")
Message-ID: <87mw3tfdn8.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>> If this is only about the case when the drag ends outside of any Emacs
>> frame, then we could amend the code to cover the case that the drag
>> ends on an Emacs frame.  The current code doesn't check whether we the
>> button-up event was received in an Emacs frame.

That would be nice.

> FWIW, the current behavior is probably useful in the case where the drag
> is used in order to select a region.  IOW, we should probably include
> *both* informations.

I don't get your statement.  When selecting a region, you're restricted
to one window anyway, no?  And that situation is already covered as one
would expect.

Bye,
Tassilo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 4 Mar 2015 04:28:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 23:28:41 2015
Received: from localhost ([127.0.0.1]:34430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YT0vI-0003tI-Hh
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 23:28:41 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:55071)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1YT0vG-0003tA-JO
 for 19988 <at> debbugs.gnu.org; Tue, 03 Mar 2015 23:28:39 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id t244SYsT019284;
 Tue, 3 Mar 2015 23:28:35 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id A64DCAE187; Tue,  3 Mar 2015 23:28:25 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
Message-ID: <jwvlhjd75hc.fsf-monnier+emacsbugs@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN> <83r3t5q11o.fsf@HIDDEN>
Date: Tue, 03 Mar 2015 23:28:25 -0500
In-Reply-To: <83r3t5q11o.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 03 Mar
 2015 22:27:31 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5234=0
X-NAI-Spam-Version: 2.3.0.9393 : core <5234> : inlines <2350> : streams
 <1399611> : uri <1870525>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org, Tassilo Horn <tsdh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> If this is only about the case when the drag ends outside of any Emacs
> frame, then we could amend the code to cover the case that the drag
> ends on an Emacs frame.  The current code doesn't check whether we the
> button-up event was received in an Emacs frame.

FWIW, the current behavior is probably useful in the case where the drag
is used in order to select a region.  IOW, we should probably include
*both* informations.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at 19988 <at> debbugs.gnu.org:


Received: (at 19988) by debbugs.gnu.org; 3 Mar 2015 20:27:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 15:27:47 2015
Received: from localhost ([127.0.0.1]:34256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YStPu-0000tu-OX
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 15:27:47 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:63878)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YStPs-0000ta-4D
 for 19988 <at> debbugs.gnu.org; Tue, 03 Mar 2015 15:27:45 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NKN00200KGLSL00@HIDDEN> for 19988 <at> debbugs.gnu.org;
 Tue, 03 Mar 2015 22:27:37 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKN0023KKU0HOA0@HIDDEN>;
 Tue, 03 Mar 2015 22:27:37 +0200 (IST)
Date: Tue, 03 Mar 2015 22:27:31 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#19988: 25.0.50; Drag events ending in different frame
In-reply-to: <87k2yycfwh.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Tassilo Horn <tsdh@HIDDEN>
Message-id: <83r3t5q11o.fsf@HIDDEN>
References: <87k2yycfwh.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 19988
Cc: 19988 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Tassilo Horn <tsdh@HIDDEN>
> Date: Tue, 03 Mar 2015 15:30:22 +0100
> 
> The info docs describe the components of drag-events as
> 
> ,----[ (info "(elisp)Drag Events") ]
> | (EVENT-TYPE
> |       (WINDOW1 START-POSITION)
> |       (WINDOW2 END-POSITION))
> `----
> 
> where WINDOW1 is the window where the drag started and WINDOW2 is the
> window where the drag ended.
> 
> However, that's not correct in case the drag starts in one emacs frame
> and ends in another emacs frame.  In those cases, WINDOW2 is the frame
> containing WINDOW1.
> 
> Is there a reason why drag events cannot work across different frames of
> the very same Emacs instance?

Not sure why, but it looks like this is by design.  The comment in
xterm.c and w32term.c says:

	    /* If mouse was grabbed on a frame, give coords for that frame
	       even if the mouse is now outside it.  */

If this is only about the case when the drag ends outside of any Emacs
frame, then we could amend the code to cover the case that the drag
ends on an Emacs frame.  The current code doesn't check whether we the
button-up event was received in an Emacs frame.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2015 14:31:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 03 09:31:06 2015
Received: from localhost ([127.0.0.1]:33711 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YSnqg-0000ib-Tc
	for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 09:31:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34663)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <tsdh@HIDDEN>) id 1YSnqQ-0000hy-3V
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 09:30:49 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tsdh@HIDDEN>) id 1YSnqD-0002vw-F0
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 09:30:40 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33038)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1YSnqD-0002vr-Cr
 for submit <at> debbugs.gnu.org; Tue, 03 Mar 2015 09:30:33 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:36342)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <tsdh@HIDDEN>) id 1YSnq9-0005b2-9r
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 09:30:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <tsdh@HIDDEN>) id 1YSnq4-0002lm-Qg
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 09:30:29 -0500
Received: from deliver.uni-koblenz.de ([141.26.64.15]:44253)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <tsdh@HIDDEN>)
 id 1YSnq4-0002kR-85
 for bug-gnu-emacs@HIDDEN; Tue, 03 Mar 2015 09:30:24 -0500
Received: from thinkpad-t440p (dhcp27.uni-koblenz.de [141.26.71.27])
 (using TLSv1 with cipher AES128-SHA (128/128 bits))
 (No client certificate requested)
 by deliver.uni-koblenz.de (Postfix) with ESMTPSA id 4F3011A8579
 for <bug-gnu-emacs@HIDDEN>; Tue,  3 Mar 2015 15:30:23 +0100 (CET)
From: Tassilo Horn <tsdh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; Drag events ending in different frame
Date: Tue, 03 Mar 2015 15:30:22 +0100
Message-ID: <87k2yycfwh.fsf@HIDDEN>
User-Agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


The info docs describe the components of drag-events as

,----[ (info "(elisp)Drag Events") ]
| (EVENT-TYPE
|       (WINDOW1 START-POSITION)
|       (WINDOW2 END-POSITION))
`----

where WINDOW1 is the window where the drag started and WINDOW2 is the
window where the drag ended.

However, that's not correct in case the drag starts in one emacs frame
and ends in another emacs frame.  In those cases, WINDOW2 is the frame
containing WINDOW1.

Is there a reason why drag events cannot work across different frames of
the very same Emacs instance?

Background: I've written a command that uses drag events to swap buffers
of two Emacs windows:

--8<---------------cut here---------------start------------->8---
(defun th/swap-window-buffers-by-dnd (drag-event)
  "Swaps the buffers displayed in the DRAG-EVENT's start and end
window."
  (interactive "e")
  (let ((start-win (cl-caadr drag-event))
	(end-win   (cl-caaddr drag-event)))
    (when (and (windowp start-win)
	       (windowp end-win)
	       (not (eq start-win end-win)))
      (let ((bs (window-buffer start-win))
	    (be (window-buffer end-win)))
	(set-window-buffer start-win be)
	(set-window-buffer end-win bs)))))

(global-set-key (kbd "<C-S-drag-mouse-1>")
		#'th/swap-window-buffers-by-dnd)
--8<---------------cut here---------------end--------------->8---

Right now, it only works for swapping the buffers of two windows in the
same frame but it would be nice if it also allowed to swap the buffers
of two windows in two different frames.



In GNU Emacs 25.0.50.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.14.9)
 of 2015-03-03 on thinkpad-t440p
Repository revision: 2cc23f170f920cbfc9df4c28bce6ca9d82c4e6cd
Windowing system distributor `The X.Org Foundation', version 11.0.11701000
System Description:	Arch Linux

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB

Important settings:
  value of $LC_MONETARY: de_DE.utf8
  value of $LC_NUMERIC: de_DE.utf8
  value of $LC_TIME: de_DE.utf8
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  rcirc-track-minor-mode: t
  magit-auto-revert-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  diff-auto-refine-mode: t
  highlight-parentheses-mode: t
  global-company-mode: t
  company-mode: t
  paredit-mode: t
  global-aggressive-indent-mode: t
  aggressive-indent-mode: t
  highlight-symbol-mode: t
  global-edit-server-edit-mode: t
  recentf-mode: t
  shell-dirtrack-mode: t
  outline-minor-mode: t
  helm-match-plugin-mode: t
  helm-occur-match-plugin-mode: t
  helm-autoresize-mode: t
  global-subword-mode: t
  subword-mode: t
  savehist-mode: t
  show-paren-mode: t
  icomplete-mode: t
  minibuffer-depth-indicate-mode: t
  electric-pair-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t

Recent messages:
Mark set
next-line: End of buffer
Mark set [2 times]
next-line: End of buffer
Auto-saving...
Mark set
Using try-expand-dabbrev
th/swap-window-buffers-by-dnd
S: #<window 244 on *info*>, E: #<frame *info* (Emacs) 0x9dfa078> [2 times]
S: #<window 207 on dot-emacs.el>, E: #<window 207 on dot-emacs.el>

Load-path shadows:
~/Repos/el/auctex/lpath hides ~/Repos/el/gnus/lisp/lpath
~/Repos/el/gnus/lisp/md4 hides /home/horn/Repos/el/emacs/lisp/md4
~/Repos/el/gnus/lisp/color hides /home/horn/Repos/el/emacs/lisp/color
~/Repos/el/gnus/lisp/format-spec hides /home/horn/Repos/el/emacs/lisp/format-spec
~/Repos/el/gnus/lisp/password-cache hides /home/horn/Repos/el/emacs/lisp/password-cache
~/Repos/el/gnus/lisp/hex-util hides /home/horn/Repos/el/emacs/lisp/hex-util
~/Repos/el/gnus/lisp/dns-mode hides /home/horn/Repos/el/emacs/lisp/textmodes/dns-mode
/home/horn/.emacs.d/elpa/org-20150302/ob-plantuml hides /home/horn/Repos/el/emacs/lisp/org/ob-plantuml
/home/horn/.emacs.d/elpa/org-20150302/org-archive hides /home/horn/Repos/el/emacs/lisp/org/org-archive
/home/horn/.emacs.d/elpa/org-20150302/org-w3m hides /home/horn/Repos/el/emacs/lisp/org/org-w3m
/home/horn/.emacs.d/elpa/org-20150302/ox-org hides /home/horn/Repos/el/emacs/lisp/org/ox-org
/home/horn/.emacs.d/elpa/org-20150302/ob hides /home/horn/Repos/el/emacs/lisp/org/ob
/home/horn/.emacs.d/elpa/org-20150302/org-faces hides /home/horn/Repos/el/emacs/lisp/org/org-faces
/home/horn/.emacs.d/elpa/org-20150302/ob-awk hides /home/horn/Repos/el/emacs/lisp/org/ob-awk
/home/horn/.emacs.d/elpa/org-20150302/org-habit hides /home/horn/Repos/el/emacs/lisp/org/org-habit
/home/horn/.emacs.d/elpa/org-20150302/ob-sass hides /home/horn/Repos/el/emacs/lisp/org/ob-sass
/home/horn/.emacs.d/elpa/org-20150302/org-ctags hides /home/horn/Repos/el/emacs/lisp/org/org-ctags
/home/horn/.emacs.d/elpa/org-20150302/ob-screen hides /home/horn/Repos/el/emacs/lisp/org/ob-screen
/home/horn/.emacs.d/elpa/org-20150302/ox-md hides /home/horn/Repos/el/emacs/lisp/org/ox-md
/home/horn/.emacs.d/elpa/org-20150302/ox-beamer hides /home/horn/Repos/el/emacs/lisp/org/ox-beamer
/home/horn/.emacs.d/elpa/org-20150302/org-loaddefs hides /home/horn/Repos/el/emacs/lisp/org/org-loaddefs
/home/horn/.emacs.d/elpa/org-20150302/ob-perl hides /home/horn/Repos/el/emacs/lisp/org/ob-perl
/home/horn/.emacs.d/elpa/org-20150302/org-rmail hides /home/horn/Repos/el/emacs/lisp/org/org-rmail
/home/horn/.emacs.d/elpa/org-20150302/org-id hides /home/horn/Repos/el/emacs/lisp/org/org-id
/home/horn/.emacs.d/elpa/org-20150302/ox-publish hides /home/horn/Repos/el/emacs/lisp/org/ox-publish
/home/horn/.emacs.d/elpa/org-20150302/ob-maxima hides /home/horn/Repos/el/emacs/lisp/org/ob-maxima
/home/horn/.emacs.d/elpa/org-20150302/org-install hides /home/horn/Repos/el/emacs/lisp/org/org-install
/home/horn/.emacs.d/elpa/org-20150302/org-feed hides /home/horn/Repos/el/emacs/lisp/org/org-feed
/home/horn/.emacs.d/elpa/org-20150302/ob-R hides /home/horn/Repos/el/emacs/lisp/org/ob-R
/home/horn/.emacs.d/elpa/org-20150302/ox-latex hides /home/horn/Repos/el/emacs/lisp/org/ox-latex
/home/horn/.emacs.d/elpa/org-20150302/org-timer hides /home/horn/Repos/el/emacs/lisp/org/org-timer
/home/horn/.emacs.d/elpa/org-20150302/ob-core hides /home/horn/Repos/el/emacs/lisp/org/ob-core
/home/horn/.emacs.d/elpa/org-20150302/org-datetree hides /home/horn/Repos/el/emacs/lisp/org/org-datetree
/home/horn/.emacs.d/elpa/org-20150302/ob-sql hides /home/horn/Repos/el/emacs/lisp/org/ob-sql
/home/horn/.emacs.d/elpa/org-20150302/ob-js hides /home/horn/Repos/el/emacs/lisp/org/ob-js
/home/horn/.emacs.d/elpa/org-20150302/ob-tangle hides /home/horn/Repos/el/emacs/lisp/org/ob-tangle
/home/horn/.emacs.d/elpa/org-20150302/org-capture hides /home/horn/Repos/el/emacs/lisp/org/org-capture
/home/horn/.emacs.d/elpa/org-20150302/ob-haskell hides /home/horn/Repos/el/emacs/lisp/org/ob-haskell
/home/horn/.emacs.d/elpa/org-20150302/ob-dot hides /home/horn/Repos/el/emacs/lisp/org/ob-dot
/home/horn/.emacs.d/elpa/org-20150302/ob-exp hides /home/horn/Repos/el/emacs/lisp/org/ob-exp
/home/horn/.emacs.d/elpa/org-20150302/org-info hides /home/horn/Repos/el/emacs/lisp/org/org-info
/home/horn/.emacs.d/elpa/org-20150302/ob-octave hides /home/horn/Repos/el/emacs/lisp/org/ob-octave
/home/horn/.emacs.d/elpa/org-20150302/org-mobile hides /home/horn/Repos/el/emacs/lisp/org/org-mobile
/home/horn/.emacs.d/elpa/org-20150302/org-indent hides /home/horn/Repos/el/emacs/lisp/org/org-indent
/home/horn/.emacs.d/elpa/org-20150302/org-attach hides /home/horn/Repos/el/emacs/lisp/org/org-attach
/home/horn/.emacs.d/elpa/org-20150302/ob-java hides /home/horn/Repos/el/emacs/lisp/org/ob-java
/home/horn/.emacs.d/elpa/org-20150302/org-mhe hides /home/horn/Repos/el/emacs/lisp/org/org-mhe
/home/horn/.emacs.d/elpa/org-20150302/ob-scheme hides /home/horn/Repos/el/emacs/lisp/org/ob-scheme
/home/horn/.emacs.d/elpa/org-20150302/ob-lob hides /home/horn/Repos/el/emacs/lisp/org/ob-lob
/home/horn/.emacs.d/elpa/org-20150302/ob-calc hides /home/horn/Repos/el/emacs/lisp/org/ob-calc
/home/horn/.emacs.d/elpa/org-20150302/org-agenda hides /home/horn/Repos/el/emacs/lisp/org/org-agenda
/home/horn/.emacs.d/elpa/org-20150302/org-version hides /home/horn/Repos/el/emacs/lisp/org/org-version
/home/horn/.emacs.d/elpa/org-20150302/org-clock hides /home/horn/Repos/el/emacs/lisp/org/org-clock
/home/horn/.emacs.d/elpa/org-20150302/org-macro hides /home/horn/Repos/el/emacs/lisp/org/org-macro
/home/horn/.emacs.d/elpa/org-20150302/ob-fortran hides /home/horn/Repos/el/emacs/lisp/org/ob-fortran
/home/horn/.emacs.d/elpa/org-20150302/ob-picolisp hides /home/horn/Repos/el/emacs/lisp/org/ob-picolisp
/home/horn/.emacs.d/elpa/org-20150302/ob-mscgen hides /home/horn/Repos/el/emacs/lisp/org/ob-mscgen
/home/horn/.emacs.d/elpa/org-20150302/ox-texinfo hides /home/horn/Repos/el/emacs/lisp/org/ox-texinfo
/home/horn/.emacs.d/elpa/org-20150302/org-table hides /home/horn/Repos/el/emacs/lisp/org/org-table
/home/horn/.emacs.d/elpa/org-20150302/ob-matlab hides /home/horn/Repos/el/emacs/lisp/org/ob-matlab
/home/horn/.emacs.d/elpa/org-20150302/ox-html hides /home/horn/Repos/el/emacs/lisp/org/ox-html
/home/horn/.emacs.d/elpa/org-20150302/ox-icalendar hides /home/horn/Repos/el/emacs/lisp/org/ox-icalendar
/home/horn/.emacs.d/elpa/org-20150302/org-bbdb hides /home/horn/Repos/el/emacs/lisp/org/org-bbdb
/home/horn/.emacs.d/elpa/org-20150302/ob-asymptote hides /home/horn/Repos/el/emacs/lisp/org/ob-asymptote
/home/horn/.emacs.d/elpa/org-20150302/org-eshell hides /home/horn/Repos/el/emacs/lisp/org/org-eshell
/home/horn/.emacs.d/elpa/org-20150302/ob-comint hides /home/horn/Repos/el/emacs/lisp/org/ob-comint
/home/horn/.emacs.d/elpa/org-20150302/org hides /home/horn/Repos/el/emacs/lisp/org/org
/home/horn/.emacs.d/elpa/org-20150302/org-irc hides /home/horn/Repos/el/emacs/lisp/org/org-irc
/home/horn/.emacs.d/elpa/org-20150302/ob-table hides /home/horn/Repos/el/emacs/lisp/org/ob-table
/home/horn/.emacs.d/elpa/org-20150302/ob-scala hides /home/horn/Repos/el/emacs/lisp/org/ob-scala
/home/horn/.emacs.d/elpa/org-20150302/ob-io hides /home/horn/Repos/el/emacs/lisp/org/ob-io
/home/horn/.emacs.d/elpa/org-20150302/ox-ascii hides /home/horn/Repos/el/emacs/lisp/org/ox-ascii
/home/horn/.emacs.d/elpa/org-20150302/ob-lisp hides /home/horn/Repos/el/emacs/lisp/org/ob-lisp
/home/horn/.emacs.d/elpa/org-20150302/org-macs hides /home/horn/Repos/el/emacs/lisp/org/org-macs
/home/horn/.emacs.d/elpa/org-20150302/ob-sqlite hides /home/horn/Repos/el/emacs/lisp/org/ob-sqlite
/home/horn/.emacs.d/elpa/org-20150302/ob-latex hides /home/horn/Repos/el/emacs/lisp/org/ob-latex
/home/horn/.emacs.d/elpa/org-20150302/ob-css hides /home/horn/Repos/el/emacs/lisp/org/ob-css
/home/horn/.emacs.d/elpa/org-20150302/org-protocol hides /home/horn/Repos/el/emacs/lisp/org/org-protocol
/home/horn/.emacs.d/elpa/org-20150302/ob-keys hides /home/horn/Repos/el/emacs/lisp/org/ob-keys
/home/horn/.emacs.d/elpa/org-20150302/org-mouse hides /home/horn/Repos/el/emacs/lisp/org/org-mouse
/home/horn/.emacs.d/elpa/org-20150302/ob-ruby hides /home/horn/Repos/el/emacs/lisp/org/ob-ruby
/home/horn/.emacs.d/elpa/org-20150302/org-element hides /home/horn/Repos/el/emacs/lisp/org/org-element
/home/horn/.emacs.d/elpa/org-20150302/org-bibtex hides /home/horn/Repos/el/emacs/lisp/org/org-bibtex
/home/horn/.emacs.d/elpa/org-20150302/ob-C hides /home/horn/Repos/el/emacs/lisp/org/ob-C
/home/horn/.emacs.d/elpa/org-20150302/org-src hides /home/horn/Repos/el/emacs/lisp/org/org-src
/home/horn/.emacs.d/elpa/org-20150302/ob-makefile hides /home/horn/Repos/el/emacs/lisp/org/ob-makefile
/home/horn/.emacs.d/elpa/org-20150302/org-colview hides /home/horn/Repos/el/emacs/lisp/org/org-colview
/home/horn/.emacs.d/elpa/org-20150302/ob-ledger hides /home/horn/Repos/el/emacs/lisp/org/ob-ledger
/home/horn/.emacs.d/elpa/org-20150302/org-crypt hides /home/horn/Repos/el/emacs/lisp/org/org-crypt
/home/horn/.emacs.d/elpa/org-20150302/ob-shen hides /home/horn/Repos/el/emacs/lisp/org/ob-shen
/home/horn/.emacs.d/elpa/org-20150302/ob-gnuplot hides /home/horn/Repos/el/emacs/lisp/org/ob-gnuplot
/home/horn/.emacs.d/elpa/org-20150302/org-inlinetask hides /home/horn/Repos/el/emacs/lisp/org/org-inlinetask
/home/horn/.emacs.d/elpa/org-20150302/org-gnus hides /home/horn/Repos/el/emacs/lisp/org/org-gnus
/home/horn/.emacs.d/elpa/org-20150302/ob-sh hides /home/horn/Repos/el/emacs/lisp/org/ob-sh
/home/horn/.emacs.d/elpa/org-20150302/org-pcomplete hides /home/horn/Repos/el/emacs/lisp/org/org-pcomplete
/home/horn/.emacs.d/elpa/org-20150302/org-docview hides /home/horn/Repos/el/emacs/lisp/org/org-docview
/home/horn/.emacs.d/elpa/org-20150302/ox-man hides /home/horn/Repos/el/emacs/lisp/org/ox-man
/home/horn/.emacs.d/elpa/org-20150302/org-plot hides /home/horn/Repos/el/emacs/lisp/org/org-plot
/home/horn/.emacs.d/elpa/org-20150302/ox hides /home/horn/Repos/el/emacs/lisp/org/ox
/home/horn/.emacs.d/elpa/org-20150302/ob-python hides /home/horn/Repos/el/emacs/lisp/org/ob-python
/home/horn/.emacs.d/elpa/org-20150302/ob-eval hides /home/horn/Repos/el/emacs/lisp/org/ob-eval
/home/horn/.emacs.d/elpa/org-20150302/ob-clojure hides /home/horn/Repos/el/emacs/lisp/org/ob-clojure
/home/horn/.emacs.d/elpa/org-20150302/ob-ocaml hides /home/horn/Repos/el/emacs/lisp/org/ob-ocaml
/home/horn/.emacs.d/elpa/org-20150302/ox-odt hides /home/horn/Repos/el/emacs/lisp/org/ox-odt
/home/horn/.emacs.d/elpa/org-20150302/org-compat hides /home/horn/Repos/el/emacs/lisp/org/org-compat
/home/horn/.emacs.d/elpa/org-20150302/org-list hides /home/horn/Repos/el/emacs/lisp/org/org-list
/home/horn/.emacs.d/elpa/org-20150302/ob-emacs-lisp hides /home/horn/Repos/el/emacs/lisp/org/ob-emacs-lisp
/home/horn/.emacs.d/elpa/org-20150302/org-entities hides /home/horn/Repos/el/emacs/lisp/org/org-entities
/home/horn/.emacs.d/elpa/org-20150302/ob-ref hides /home/horn/Repos/el/emacs/lisp/org/ob-ref
/home/horn/.emacs.d/elpa/org-20150302/ob-ditaa hides /home/horn/Repos/el/emacs/lisp/org/ob-ditaa
/home/horn/.emacs.d/elpa/org-20150302/ob-lilypond hides /home/horn/Repos/el/emacs/lisp/org/ob-lilypond
/home/horn/.emacs.d/elpa/org-20150302/ob-org hides /home/horn/Repos/el/emacs/lisp/org/ob-org
/home/horn/.emacs.d/elpa/org-20150302/org-footnote hides /home/horn/Repos/el/emacs/lisp/org/org-footnote
~/Repos/el/gnus/lisp/dig hides /home/horn/Repos/el/emacs/lisp/net/dig
~/Repos/el/gnus/lisp/hmac-md5 hides /home/horn/Repos/el/emacs/lisp/net/hmac-md5
~/Repos/el/gnus/lisp/ntlm hides /home/horn/Repos/el/emacs/lisp/net/ntlm
~/Repos/el/gnus/lisp/hmac-def hides /home/horn/Repos/el/emacs/lisp/net/hmac-def
~/Repos/el/gnus/lisp/rfc2104 hides /home/horn/Repos/el/emacs/lisp/net/rfc2104
~/Repos/el/gnus/lisp/sasl-ntlm hides /home/horn/Repos/el/emacs/lisp/net/sasl-ntlm
~/Repos/el/gnus/lisp/sasl-cram hides /home/horn/Repos/el/emacs/lisp/net/sasl-cram
~/Repos/el/gnus/lisp/dns hides /home/horn/Repos/el/emacs/lisp/net/dns
~/Repos/el/gnus/lisp/sasl hides /home/horn/Repos/el/emacs/lisp/net/sasl
~/Repos/el/gnus/lisp/tls hides /home/horn/Repos/el/emacs/lisp/net/tls
~/Repos/el/gnus/lisp/sasl-scram-rfc hides /home/horn/Repos/el/emacs/lisp/net/sasl-scram-rfc
~/Repos/el/gnus/lisp/netrc hides /home/horn/Repos/el/emacs/lisp/net/netrc
~/Repos/el/gnus/lisp/sasl-digest hides /home/horn/Repos/el/emacs/lisp/net/sasl-digest
~/Repos/el/gnus/lisp/uudecode hides /home/horn/Repos/el/emacs/lisp/mail/uudecode
~/Repos/el/gnus/lisp/binhex hides /home/horn/Repos/el/emacs/lisp/mail/binhex
~/Repos/el/gnus/lisp/hashcash hides /home/horn/Repos/el/emacs/lisp/mail/hashcash
~/Repos/el/gnus/lisp/canlock hides /home/horn/Repos/el/emacs/lisp/gnus/canlock
~/Repos/el/gnus/lisp/nneething hides /home/horn/Repos/el/emacs/lisp/gnus/nneething
~/Repos/el/gnus/lisp/mm-encode hides /home/horn/Repos/el/emacs/lisp/gnus/mm-encode
~/Repos/el/gnus/lisp/mm-util hides /home/horn/Repos/el/emacs/lisp/gnus/mm-util
~/Repos/el/gnus/lisp/rfc2047 hides /home/horn/Repos/el/emacs/lisp/gnus/rfc2047
~/Repos/el/gnus/lisp/nnml hides /home/horn/Repos/el/emacs/lisp/gnus/nnml
~/Repos/el/gnus/lisp/gnus-cus hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-cus
~/Repos/el/gnus/lisp/gnus-range hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-range
~/Repos/el/gnus/lisp/gnus-int hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-int
~/Repos/el/gnus/lisp/gnus-cloud hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-cloud
~/Repos/el/gnus/lisp/spam-stat hides /home/horn/Repos/el/emacs/lisp/gnus/spam-stat
~/Repos/el/gnus/lisp/nnmh hides /home/horn/Repos/el/emacs/lisp/gnus/nnmh
~/Repos/el/gnus/lisp/gnus-mlspl hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-mlspl
~/Repos/el/gnus/lisp/deuglify hides /home/horn/Repos/el/emacs/lisp/gnus/deuglify
~/Repos/el/gnus/lisp/gnus-gravatar hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-gravatar
~/Repos/el/gnus/lisp/nngateway hides /home/horn/Repos/el/emacs/lisp/gnus/nngateway
~/Repos/el/gnus/lisp/ietf-drums hides /home/horn/Repos/el/emacs/lisp/gnus/ietf-drums
~/Repos/el/gnus/lisp/mail-parse hides /home/horn/Repos/el/emacs/lisp/gnus/mail-parse
~/Repos/el/gnus/lisp/gnus-salt hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-salt
~/Repos/el/gnus/lisp/nnimap hides /home/horn/Repos/el/emacs/lisp/gnus/nnimap
~/Repos/el/gnus/lisp/gnus-draft hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-draft
~/Repos/el/gnus/lisp/mail-source hides /home/horn/Repos/el/emacs/lisp/gnus/mail-source
~/Repos/el/gnus/lisp/messcompat hides /home/horn/Repos/el/emacs/lisp/gnus/messcompat
~/Repos/el/gnus/lisp/pop3 hides /home/horn/Repos/el/emacs/lisp/gnus/pop3
~/Repos/el/gnus/lisp/nnmaildir hides /home/horn/Repos/el/emacs/lisp/gnus/nnmaildir
~/Repos/el/gnus/lisp/nnheader hides /home/horn/Repos/el/emacs/lisp/gnus/nnheader
~/Repos/el/gnus/lisp/gnus-cite hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-cite
~/Repos/el/gnus/lisp/nndiary hides /home/horn/Repos/el/emacs/lisp/gnus/nndiary
~/Repos/el/gnus/lisp/gnus-diary hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-diary
~/Repos/el/gnus/lisp/nnfolder hides /home/horn/Repos/el/emacs/lisp/gnus/nnfolder
~/Repos/el/gnus/lisp/gnus-art hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-art
~/Repos/el/gnus/lisp/gnus-demon hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-demon
~/Repos/el/gnus/lisp/mml-sec hides /home/horn/Repos/el/emacs/lisp/gnus/mml-sec
~/Repos/el/gnus/lisp/nnir hides /home/horn/Repos/el/emacs/lisp/gnus/nnir
~/Repos/el/gnus/lisp/mm-partial hides /home/horn/Repos/el/emacs/lisp/gnus/mm-partial
~/Repos/el/gnus/lisp/gnus-registry hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-registry
~/Repos/el/gnus/lisp/gnus-icalendar hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-icalendar
~/Repos/el/gnus/lisp/compface hides /home/horn/Repos/el/emacs/lisp/gnus/compface
~/Repos/el/gnus/lisp/gnus-fun hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-fun
~/Repos/el/gnus/lisp/gnus-start hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-start
~/Repos/el/gnus/lisp/smiley hides /home/horn/Repos/el/emacs/lisp/gnus/smiley
~/Repos/el/gnus/lisp/gnus-picon hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-picon
~/Repos/el/gnus/lisp/spam-report hides /home/horn/Repos/el/emacs/lisp/gnus/spam-report
~/Repos/el/gnus/lisp/nntp hides /home/horn/Repos/el/emacs/lisp/gnus/nntp
~/Repos/el/gnus/lisp/nnnil hides /home/horn/Repos/el/emacs/lisp/gnus/nnnil
~/Repos/el/gnus/lisp/nndir hides /home/horn/Repos/el/emacs/lisp/gnus/nndir
~/Repos/el/gnus/lisp/gnus-srvr hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-srvr
~/Repos/el/gnus/lisp/smime hides /home/horn/Repos/el/emacs/lisp/gnus/smime
~/Repos/el/gnus/lisp/nnvirtual hides /home/horn/Repos/el/emacs/lisp/gnus/nnvirtual
~/Repos/el/gnus/lisp/gnus-notifications hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-notifications
~/Repos/el/gnus/lisp/nnspool hides /home/horn/Repos/el/emacs/lisp/gnus/nnspool
~/Repos/el/gnus/lisp/gnus-group hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-group
~/Repos/el/gnus/lisp/gnus-bcklg hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-bcklg
~/Repos/el/gnus/lisp/gnus-util hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-util
~/Repos/el/gnus/lisp/gnus-sieve hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-sieve
~/Repos/el/gnus/lisp/nndraft hides /home/horn/Repos/el/emacs/lisp/gnus/nndraft
~/Repos/el/gnus/lisp/nnagent hides /home/horn/Repos/el/emacs/lisp/gnus/nnagent
~/Repos/el/gnus/lisp/gnus-spec hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-spec
~/Repos/el/gnus/lisp/gnus-bookmark hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-bookmark
~/Repos/el/gnus/lisp/mml1991 hides /home/horn/Repos/el/emacs/lisp/gnus/mml1991
~/Repos/el/gnus/lisp/rfc2231 hides /home/horn/Repos/el/emacs/lisp/gnus/rfc2231
~/Repos/el/gnus/lisp/yenc hides /home/horn/Repos/el/emacs/lisp/gnus/yenc
~/Repos/el/gnus/lisp/gnus-undo hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-undo
~/Repos/el/gnus/lisp/ecomplete hides /home/horn/Repos/el/emacs/lisp/gnus/ecomplete
~/Repos/el/gnus/lisp/legacy-gnus-agent hides /home/horn/Repos/el/emacs/lisp/gnus/legacy-gnus-agent
~/Repos/el/gnus/lisp/utf7 hides /home/horn/Repos/el/emacs/lisp/gnus/utf7
~/Repos/el/gnus/lisp/rtree hides /home/horn/Repos/el/emacs/lisp/gnus/rtree
~/Repos/el/gnus/lisp/gnus-uu hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-uu
~/Repos/el/gnus/lisp/gnus-ml hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-ml
~/Repos/el/gnus/lisp/sieve hides /home/horn/Repos/el/emacs/lisp/gnus/sieve
~/Repos/el/gnus/lisp/gnus hides /home/horn/Repos/el/emacs/lisp/gnus/gnus
~/Repos/el/gnus/lisp/mml hides /home/horn/Repos/el/emacs/lisp/gnus/mml
~/Repos/el/gnus/lisp/message hides /home/horn/Repos/el/emacs/lisp/gnus/message
~/Repos/el/gnus/lisp/mml-smime hides /home/horn/Repos/el/emacs/lisp/gnus/mml-smime
~/Repos/el/gnus/lisp/gnus-eform hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-eform
~/Repos/el/gnus/lisp/gnus-agent hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-agent
~/Repos/el/gnus/lisp/gnus-logic hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-logic
~/Repos/el/gnus/lisp/mm-extern hides /home/horn/Repos/el/emacs/lisp/gnus/mm-extern
~/Repos/el/gnus/lisp/nndoc hides /home/horn/Repos/el/emacs/lisp/gnus/nndoc
~/Repos/el/gnus/lisp/sieve-manage hides /home/horn/Repos/el/emacs/lisp/gnus/sieve-manage
~/Repos/el/gnus/lisp/mm-decode hides /home/horn/Repos/el/emacs/lisp/gnus/mm-decode
~/Repos/el/gnus/lisp/starttls hides /home/horn/Repos/el/emacs/lisp/gnus/starttls
~/Repos/el/gnus/lisp/gnus-dired hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-dired
~/Repos/el/gnus/lisp/nnbabyl hides /home/horn/Repos/el/emacs/lisp/gnus/nnbabyl
~/Repos/el/gnus/lisp/nnmbox hides /home/horn/Repos/el/emacs/lisp/gnus/nnmbox
~/Repos/el/gnus/lisp/gnus-win hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-win
~/Repos/el/gnus/lisp/gnus-async hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-async
~/Repos/el/gnus/lisp/mm-url hides /home/horn/Repos/el/emacs/lisp/gnus/mm-url
~/Repos/el/gnus/lisp/gnus-html hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-html
~/Repos/el/gnus/lisp/gssapi hides /home/horn/Repos/el/emacs/lisp/gnus/gssapi
~/Repos/el/gnus/lisp/mml2015 hides /home/horn/Repos/el/emacs/lisp/gnus/mml2015
~/Repos/el/gnus/lisp/nnrss hides /home/horn/Repos/el/emacs/lisp/gnus/nnrss
~/Repos/el/gnus/lisp/gnus-mh hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-mh
~/Repos/el/gnus/lisp/gnus-sum hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-sum
~/Repos/el/gnus/lisp/nnweb hides /home/horn/Repos/el/emacs/lisp/gnus/nnweb
~/Repos/el/gnus/lisp/mail-prsvr hides /home/horn/Repos/el/emacs/lisp/gnus/mail-prsvr
~/Repos/el/gnus/lisp/nnmairix hides /home/horn/Repos/el/emacs/lisp/gnus/nnmairix
~/Repos/el/gnus/lisp/plstore hides /home/horn/Repos/el/emacs/lisp/gnus/plstore
~/Repos/el/gnus/lisp/rfc2045 hides /home/horn/Repos/el/emacs/lisp/gnus/rfc2045
~/Repos/el/gnus/lisp/gnus-msg hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-msg
~/Repos/el/gnus/lisp/spam-wash hides /home/horn/Repos/el/emacs/lisp/gnus/spam-wash
~/Repos/el/gnus/lisp/gnus-score hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-score
~/Repos/el/gnus/lisp/mm-uu hides /home/horn/Repos/el/emacs/lisp/gnus/mm-uu
~/Repos/el/gnus/lisp/spam hides /home/horn/Repos/el/emacs/lisp/gnus/spam
~/Repos/el/gnus/lisp/mm-view hides /home/horn/Repos/el/emacs/lisp/gnus/mm-view
~/Repos/el/gnus/lisp/sieve-mode hides /home/horn/Repos/el/emacs/lisp/gnus/sieve-mode
~/Repos/el/gnus/lisp/html2text hides /home/horn/Repos/el/emacs/lisp/gnus/html2text
~/Repos/el/gnus/lisp/gnus-ems hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-ems
~/Repos/el/gnus/lisp/registry hides /home/horn/Repos/el/emacs/lisp/gnus/registry
~/Repos/el/gnus/lisp/auth-source hides /home/horn/Repos/el/emacs/lisp/gnus/auth-source
~/Repos/el/gnus/lisp/gravatar hides /home/horn/Repos/el/emacs/lisp/gnus/gravatar
~/Repos/el/gnus/lisp/flow-fill hides /home/horn/Repos/el/emacs/lisp/gnus/flow-fill
~/Repos/el/gnus/lisp/gmm-utils hides /home/horn/Repos/el/emacs/lisp/gnus/gmm-utils
~/Repos/el/gnus/lisp/mailcap hides /home/horn/Repos/el/emacs/lisp/gnus/mailcap
~/Repos/el/gnus/lisp/gnus-delay hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-delay
~/Repos/el/gnus/lisp/mm-bodies hides /home/horn/Repos/el/emacs/lisp/gnus/mm-bodies
~/Repos/el/gnus/lisp/mm-archive hides /home/horn/Repos/el/emacs/lisp/gnus/mm-archive
~/Repos/el/gnus/lisp/rfc1843 hides /home/horn/Repos/el/emacs/lisp/gnus/rfc1843
~/Repos/el/gnus/lisp/gnus-kill hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-kill
~/Repos/el/gnus/lisp/qp hides /home/horn/Repos/el/emacs/lisp/gnus/qp
~/Repos/el/gnus/lisp/score-mode hides /home/horn/Repos/el/emacs/lisp/gnus/score-mode
~/Repos/el/gnus/lisp/gnus-topic hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-topic
~/Repos/el/gnus/lisp/gnus-cache hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-cache
~/Repos/el/gnus/lisp/nnmail hides /home/horn/Repos/el/emacs/lisp/gnus/nnmail
~/Repos/el/gnus/lisp/gnus-vm hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-vm
~/Repos/el/gnus/lisp/gnus-sync hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-sync
~/Repos/el/gnus/lisp/nnoo hides /home/horn/Repos/el/emacs/lisp/gnus/nnoo
~/Repos/el/gnus/lisp/nnregistry hides /home/horn/Repos/el/emacs/lisp/gnus/nnregistry
~/Repos/el/gnus/lisp/gnus-dup hides /home/horn/Repos/el/emacs/lisp/gnus/gnus-dup
~/Repos/el/gnus/lisp/parse-time hides /home/horn/Repos/el/emacs/lisp/calendar/parse-time
~/Repos/el/gnus/lisp/time-date hides /home/horn/Repos/el/emacs/lisp/calendar/time-date

Features:
(shadow emacsbug tabify zeal-at-point help-at-pt rcirc-color
rcirc-controls rcirc-late-fix rcirc goto-addr org-rmail org-mhe org-irc
org-info org-gnus org-docview doc-view org-bibtex bibtex org-bbdb
org-w3m tex-info texinfo canlock magit-key-mode magit view
git-rebase-mode gnus-dired eieio-opt hippie-exp flow-fill ag vc-svn
find-dired ido s ucs-normalize reftex-sel reftex-ref reftex-parse
reftex-toc pdf-sync pdf-annot pdf-outline pdf-links pdf-history
autorevert filenotify pdf-isearch pdf-misc pdf-occur tablist
tablist-filter semantic/wisent/comp semantic/wisent
semantic/wisent/wisent semantic/util-modes semantic/util semantic
semantic/tag semantic/lex semantic/fw mode-local cedet texmathp vc-hg
preview prv-emacs auto-dictionary flyspell ispell tex-buf reftex-dcr
reftex-auc reftex reftex-vars font-latex latex tex-style tex dbus crm
tex-mode latexenc markdown-mode git-commit-mode log-edit pcvs-util
add-log misearch multi-isearch xterm pkg-info lisp-mnt epl speedbar
sb-image ezimage dframe vc vc-dispatcher vc-git diff-mode adaptive-wrap
filecache gnus-fun shr-color color gnus-dup mailalias smtpmail sendmail
url-http url-gw url-auth sort gnus-cite smiley shr dom subr-x mm-archive
gnus-async gnus-bcklg qp gnus-ml hl-line nndraft nnmh rot13 utf-7 gnutls
network-stream nsm starttls nnml nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-cache gnus-demon nntp spam spam-stat gnus-uu
yenc gnus-msg gnus-gravatar mail-extr gravatar gnus-topic nnir
gnus-registry registry eieio-base th-private company-files
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-capf company-cmake
company-ropemacs company-xcode company-clang company-semantic
company-eclim company-template company-css company-nxml company-bbdb
highlight-parentheses company finder-inf stratego-mode greql-mode
tg-mode generic preview-latex tex-site auto-loads cider tramp-sh
cider-mode cider-repl cider-eldoc cider-interaction arc-mode
archive-mode cider-doc org-table cider-test cider-stacktrace
cider-client nrepl-client queue cider-util ewoc etags xref clojure-mode
imenu paredit aggressive-indent names edebug epa-file epa epg rdictcc
ox-reveal ox-latex ox-icalendar ox-html ox-ascii ox-publish ox
org-element google-contacts-message google-contacts derived url-cache
google-oauth google-contacts-gnus gnus-art mm-uu mml2015 mm-view
mml-smime smime dig gnus-sum gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source tls utf7 netrc nnoo parse-time gnus-spec
gnus-int gnus-range gnus-win gnus gnus-ems gnus-compat nnheader em-term
term ehelp esh-opt esh-ext esh-util highlight-symbol boxquote rect
ecomplete message rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev mail-utils
gmm-utils mailheader edit-server server haskell-yas yasnippet help-mode
cl disp-table pdf-tools cus-edit cus-start cus-load pdf-view jka-compr
pdf-cache pdf-info tq pdf-util image-mode browse-kill-ring recentf
tree-widget wid-edit helm-projectile helm-files image-dired tramp
tramp-compat tramp-loaddefs trampver shell dired-x dired-aux ffap
helm-tags helm-bookmark helm-adaptive helm-info helm-net browse-url xml
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse auth-source gnus-util mm-util mail-prsvr
password-cache url-vars mailcap bookmark pp helm-help helm-org org
org-macro org-footnote org-pcomplete pcomplete org-list org-faces
org-entities noutline outline org-version ob-emacs-lisp ob ob-tangle
ob-ref ob-lob ob-table ob-exp org-src ob-keys ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs format-spec find-func cal-menu calendar
cal-loaddefs helm-external helm-buffers helm-match-plugin helm-grep
helm-regexp helm-plugin grep helm-elscreen helm-utils dired compile
comint ansi-color ring helm-locate helm cl-macs helm-source eieio-compat
eieio byte-opt gv bytecomp byte-compile cl-extra seq cconv eieio-core
cl-generic pcase helm-config async-bytecomp async helm-aliases
projectile ibuf-ext ibuffer thingatpt easy-mmode iedit iedit-lib
cap-words superword subword saveplace savehist paren icomplete mb-depth
smart-mode-line-light-theme rich-minority smart-mode-line mule-util dash
rx bs windmove elec-pair gnus-load tsdh-light-theme edmacro kmacro
cl-loaddefs cl-lib memory-usage-autoloads advice help-fns info easymenu
package epg-config time-date tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer cl-preloaded nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 1562617 195734)
 (symbols 48 70882 13)
 (miscs 40 2048 4175)
 (strings 32 277103 21365)
 (string-bytes 1 8958693)
 (vectors 16 101169)
 (vector-slots 8 2348859 220925)
 (floats 8 3017 1660)
 (intervals 56 53524 5927)
 (buffers 976 116)
 (heap 1024 148219 186770))




Acknowledgement sent to Tassilo Horn <tsdh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19988; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 7 Mar 2015 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.